#!/usr/bin/perl

use FDN::Common::Config;
use FDN::Common::Modules;
use FDN::Adsl::Basic;
use FDN::Adsl::Ag;

my @adhs = tous_clients_actifs();
my @envs;

my $annee = shift @ARGV;
if ( $annee !~ /^20\d\d$/ ) {
	die "Je veux une annee en parametre";
}

conduse('FDN::TeX::TeX');
if ( ! set_tex_config('adsl/tex-tmp.cfg') ) {
	die "Horribly";
}
$FDN::TeX::TeX::debug=1;

my $date = Config_Key('adsl/adhs/ag.cfg','ag-'.$annee,'date');
if ( ! defined $date ) {
	die "Je veux une date";
}

for my $adh ( @adhs ) {
	if ( ! droit_de_vote($adh,$date,'present') ) {
		print $adh->{'CLIENT_NUMADH'}.'/'.$adh->{'CLIENT_NOM'}.": Pas adhérent à la date de l'AG, pas de convocation pour lui.elle.\n";
		next;
	}
	my ( $forme, $present, $procur ) = split_convocation($adh->{'CLIENT_ID'}, $annee);
	if ( $forme eq 'pdf' ) {
		print $adh->{'CLIENT_NUMADH'}.'/'.$adh->{'CLIENT_NOM'}.": Procuration PDF, je passe.\n";
		next;
	}

	my $adr = adresse_par_id($adh->{'ADRESSE_ID'});
	my $acc = adhaccess_par_client_id($adh->{'CLIENT_ID'});
	if ( $adh->{'CLIENT_NUMADH'} <= 0 ) {
		print $adh->{'CLIENT_NUMADH'}.'/'.$adh->{'CLIENT_NOM'}.": Pas de numero d'adherent.e, je zappe.\n";
		next;
	}

	print "On ajoute $adh->{'CLIENT_NUMADH'}, $adh->{'CLIENT_NOM'}.\n";
	$adr->{'ADRESSE_ADR'} =~ s/\s*[\n\r]+/\n/sg;
	my $hash = {
		'NOM' => tex_encode($adr->{'ADRESSE_NOM'}),
		'ADRESSE' => tex_encode($adr->{'ADRESSE_ADR'}),
		'CP' => $adr->{'ADRESSE_CP'},
		'VILLE' => tex_encode($adr->{'ADRESSE_VILLE'}),
		'numadh' => $adh->{'CLIENT_NUMADH'},
		'login' => $acc->{'ADHACCESS_LOGIN'},
		'passwd' => tex_encode($acc->{'ADHACCESS_PASSWD'})
	};
	push @envs, $hash;
}

print "On a ".($#envs+1)." enveloppes.\n";

my $Hash = { 'enveloppes' => \@envs };
#my $file = make_pdf_file('enveloppes', 'enveloppes', $Hash);
my $file = make_pdf_file('ag'.$annee, 'ag'.$annee, $Hash);
if ( ! defined $file ) {
	print "Echec de la compilation du fichier";
}
print "Fichier produit: $file\n";

