#!/usr/bin/perl

use FDN::Common::Config;
use FDN::Common::Modules;
use FDN::Adsl::Basic;
use FDN::Adsl::Ag;

if ( ! @ARGV || $ARGV[0] eq '-h' ) {
	print STDERR "Syntax: $0 annee client_id\n";
	print STDERR "annee : annee sur 4 chiffres\n";
	print STDERR "client_id : le ou la client.e pour tester\n";
	exit 1;
}

my $force = 0;
my $annee = shift @ARGV;
if ( $annee !~ /^20\d\d$/ ) {
	die "Je veux une annee en parametre";
}
my $cid = shift @ARGV;
if ( $cid !~ /^\d+$/ ) {
	die "Je veux un client_id en deuxieme parametre";
}

conduse('FDN::TeX::TeX');
if ( ! set_tex_config('adsl/tex-tmp.cfg') ) {
	die "Horribly";
}
$FDN::TeX::TeX::debug=0;

my $date = Config_Key('adsl/adhs/ag.cfg','ag-'.$annee,'date');
if ( ! defined $date ) {
	die "Dans le fichier adsl/adsh/ag.cfg, pour la section [ag-$annee], je veux une clef 'date'...";
}

# Les fichiers PDF sont stocks l:
my $base = Config_Key('adsl/global.cfg','dirs','stockpdf');
my $doc = 'ag'.$annee.'.pdf';

my $adh = client_par_id($cid);
if ( ! $adh ) {
	die "Le client $cid n'existe pas";
}

if ( ! droit_de_vote($adh,$date,'present') ) {
	print $adh->{'CLIENT_NUMADH'}.'/'.$adh->{'CLIENT_NOM'}.": Pas adhrent  la date de l'AG, pas de convocation pour lui.elle.\n";
	next;
}


my $adr = adresse_par_id($adh->{'ADRESSE_ID'});
my $acc = adhaccess_par_client_id($adh->{'CLIENT_ID'});
if ( $adh->{'CLIENT_NUMADH'} <= 0 ) {
	print $adh->{'CLIENT_NUMADH'}.'/'.$adh->{'CLIENT_NOM'}.": Pas de numero d'adherent.e, je zappe.\n";
	next;
}

print "On fait $adh->{'CLIENT_NUMADH'}, $adh->{'CLIENT_NOM'}... ";
$adr->{'ADRESSE_ADR'} =~ s/\s*[\n^M]+/\n/sg;
my $hash = {
	'NOM' => tex_encode($adr->{'ADRESSE_NOM'}),
	'ADRESSE' => tex_encode($adr->{'ADRESSE_ADR'}),
	'CP' => $adr->{'ADRESSE_CP'},
	'VILLE' => tex_encode($adr->{'ADRESSE_VILLE'}),
	'numadh' => $adh->{'CLIENT_NUMADH'},
	'login' => $acc->{'ADHACCESS_LOGIN'},
	'passwd' => tex_encode($acc->{'ADHACCESS_PASSWD'})
};

my $Hash = { 'enveloppes' => [ $hash ] };
my $file = make_pdf_file('ag'.$annee, 'ag'.$annee, $Hash);
if ( ! defined $file ) {
	die "Echec de la compilation du fichier\n";
	next;
}

print "Le resultat est disponible ici : $file\n\n";

