#!/usr/bin/perl

use FDN::Common::Config;
use FDN::Common::Modules;
use FDN::Common::Utils;
use FDN::Adsl::Basic;
use FDN::Adsl::Ag;

my @adhs = tous_clients_actifs();

if ( ! @ARGV || $ARGV[0] eq '-h' ) {
	print STDERR "Syntax: $0 annee\n";
	print STDERR "annee : annee sur 4 chiffres\n";
	print STDERR "Fait la liste des personnes s'tant annonces comme prsentes en AG dans un fichier presents<annee>.csv\n" ;
	exit 1;
}

my $annee = shift @ARGV;
if ( $annee !~ /^20\d\d$/ ) {
	die "Je veux une annee en parametre";
}

my $date = Config_Key('adsl/adhs/ag.cfg','ag-'.$annee,'date');
if ( ! defined $date ) {
	die "Dans le fichier adsl/adsh/ag.cfg, pour la section [ag-$annee], je veux une clef 'date'...";
}

my $count = 0;

mkdir_p("/tmp/presents");
open LISTE, ">/tmp/presents/presents$annee.csv" or die "Failed to create file presents$annee.csv";

for my $adh ( @adhs ) {
	my ( $forme, $pres, $proc ) = split_convocation($adh->{CLIENT_ID}, $annee);
	if (!defined $forme) {
		print $adh->{'CLIENT_NUMADH'}.'/'.$adh->{'CLIENT_NOM'}.": Pas de convocation pour lui.elle.\n";
		next;
	}
	if ($proc) {
		print "On fait $adh->{'CLIENT_NUMADH'}, $adh->{'CLIENT_NOM'}... ";
		print LISTE '"'.$adh->{'CLIENT_NOM'}.'","'.$adh->{'CLIENT_NUMADH'}.'","procuration"'."\n";
		print "OK\n";
		$count++;
	} elsif ($pres eq "oui") {
		print "On fait $adh->{'CLIENT_NUMADH'}, $adh->{'CLIENT_NOM'}... ";
		print LISTE '"'.$adh->{'CLIENT_NOM'}.'","'.$adh->{'CLIENT_NUMADH'}.'","prsent.e"'."\n";
		print "OK\n";
		$count++;
	} elsif ($pres eq "non") {
		print "On fait $adh->{'CLIENT_NUMADH'}, $adh->{'CLIENT_NOM'}... ";
		print LISTE '"'.$adh->{'CLIENT_NOM'}.'","'.$adh->{'CLIENT_NUMADH'}.'","absent.e"'."\n";
		print "OK\n";
		$count++;
	} else {
		print "On fait $adh->{'CLIENT_NUMADH'}, $adh->{'CLIENT_NOM'}... ";
		print LISTE '"'.$adh->{'CLIENT_NOM'}.'","'.$adh->{'CLIENT_NUMADH'}.'","on ne sait pas"'."\n";
		print "OK\n";
		$count++;
	}
}
close LISTE;

print "On a produit $count lignes pour l'annee $annee dans le fichier presents$annee.csv.\n";


