#!/usr/bin/perl

use FDN::Adsl::Basic;

my $debits = {
	'128k' => '20k',
	'512k' => '30k',
	'1M'   => '50k',
	'2M'   => '50k',
	'3M'   => '80k',
	'4M'   => '80k',
	'5M'   => '80k',
	'6M'   => '80k',
	'7M'   => '80k',
	'8M'   => '100k',
	'10M'  => '100k',
	'14M'  => '100k',
	'18M'  => '100k'
};

my $count = {
	'20k-option1' => 0,
	'30k-option1' => 0,
	'50k-option1' => 0,
	'80k-option1' => 0,
	'100k-option1' => 0,
	'20k-option3' => 0,
	'30k-option3' => 0,
	'50k-option3' => 0,
	'80k-option3' => 0,
	'100k-option3' => 0,
};

my $total = {
	'option1' => 0,
	'option3' => 0,
	'loption1' => 0,
	'loption3' => 0
};

my @lignes = ligne_par_state('ok');

#push @lignes, {
#	'LIGNE_ID' => -1,
#	'DEBIT_ID' => 7,
#	'LIGNE_OPT' => 'option1',
#	'LIGNE_TEL' => 'Romain',
#};

for my $l ( @lignes ) {
	my ( $d, $o, $c );
	$d = debit_par_id($l->{'DEBIT_ID'});
	$d = $d->{'DEBIT_DEBIT'};
	$o = $l->{'LIGNE_OPT'};
#	print "Ligne ".$l->{'LIGNE_TEL'}." debit $d $o\n";
	$c = $debits->{$d}.'-'.$o;
	if ( ! defined $count->{$c} ) {
		print "ERR: $c n'existe pas!";
		next;
	}
	$count->{$c}++;
#	print "$c est donc maintenant ".$count->{$c}."\n";
}

for my $c ( keys %$count ) {
	$c =~ /^(\d+)k-(option\d)$/;
	my ( $deb, $op ) = ( $1, $2 );
	my $bp = $deb * $count->{$c};
#	print "Reservation pour $c: $bp kb/s\n";
	$total->{$op} += $bp;
	$total->{'l'.$op} += $count->{$c};
#	print "Reservation totale pour $op devient ".$total->{$op}." kb/s\n";
}

print "Total option 1: ".$total->{'option1'}." kb/s pour ".$total->{'loption1'}." lignes\n";
print "Total option 3: ".$total->{'option3'}." kb/s pour ".$total->{'loption3'}." lignes\n";
