#!/usr/bin/perl

use FDN::Common::Modules;
use FDN::Adsl::Basic;

my @adhs = tous_clients_actifs();
my @envs;

conduse('FDN::TeX::TeX');
if ( ! set_tex_config('adsl/tex-tmp.cfg') ) {
	die "Horribly";
}
$FDN::TeX::TeX::debug=1;

for my $adh ( @adhs ) {
	my $adr = adresse_par_id($adh->{'ADRESSE_ID'});
	my $acc = adhaccess_par_client_id($adh->{'CLIENT_ID'});
	if ( $adh->{'CLIENT_NUMADH'} <= 0 ) {
		print $adh->{'CLIENT_NUMADH'}.'/'.$adh->{'CLIENT_NOM'}.": Pas de numero d'adherent.e, je zappe.\n";
		next;
	}

	my @pays = payant_par_client_id($adh->{'CLIENT_ID'});
	for my $pay ( @pays ) {
		if ( $pay->{'PRIX_ID'} == 81 ||
		     $pay->{'PRIX_ID'} == 82 ||
		     $pay->{'PRIX_ID'} == 83 ||
		     $pay->{'PRIX_ID'} == 84 ||
		     $pay->{'PRIX_ID'} == 85 ) {
			$adh->{'DEBUT'} = $pay->{'PAYANT_DEBUT'};
			$adh->{'FIN'}	= $pay->{'PAYANT_FIN'};
		}
	}
	if ( $adh->{'CLIENT_NUMADH'} == 1 ) {
		$adh->{'DEBUT'} = '1992-04-01 00:00:00';
		$adh->{'FIN'} = '9999-12-31 00:00:00';
	}
	if ( ! defined $adh->{'DEBUT'} ) {
		print $adh->{'CLIENT_NUMADH'}.'/'.$adh->{'CLIENT_NOM'}.": Pas de dbut, je zappe.\n";
		next;
	}
	$adh->{'DEBUT'} =~ s/^(\d{4}-\d\d-\d\d).*/$1/;
	$adh->{'FIN'} =~ s/^(\d{4}-\d\d-\d\d).*/$1/;

	if ( $adh->{'FIN'} lt $date_ag ) {
		print $adh->{'CLIENT_NUMADH'}.'/'.$adh->{'CLIENT_NOM'}.": Demissionaire, je zappe.\n";
		next;
	}

	print "On ajoute $adh->{'CLIENT_NUMADH'}, $adh->{'CLIENT_NOM'}, adherent.e depuis $adh->{'DEBUT'} jusqu'a $adh->{'FIN'}\n";
	$adr->{'ADRESSE_ADR'} =~ s/\s*[\n\r]+/\n/sg;
	my $hash = {
		'NOM' => $adr->{'ADRESSE_NOM'},
		'ADRESSE' => $adr->{'ADRESSE_ADR'},
		'CP' => $adr->{'ADRESSE_CP'},
		'VILLE' => $adr->{'ADRESSE_VILLE'},
		'numadh' => $adh->{'CLIENT_NUMADH'},
		'login' => $acc->{'ADHACCESS_LOGIN'},
		'passwd' => $acc->{'ADHACCESS_PASSWD'}
	};
	$hash->{'passwd'} =~ s/%/\\%/;
	$hash->{'passwd'} =~ s/&/\\&/;
	push @envs, $hash;
}

print "On a ".($#envs+1)." enveloppes.\n";

my $Hash = { 'enveloppes' => \@envs };
#my $file = make_pdf_file('enveloppes', 'enveloppes', $Hash);
my $file = make_pdf_file('ag', 'ag', $Hash);
if ( ! defined $file ) {
	print "Echec de la compilation du fichier";
}
print "Fichier produit: $file\n";
